#
# spec file for package ghc-basic-prelude
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name basic-prelude
Name:           ghc-%{pkg_name}
Version:        0.6.1.1
Release:        lp150.1.8
Summary:        An enhanced core prelude; a common foundation for alternate preludes
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-ReadArgs-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-lifted-base-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel

%description
The premise of 'basic-prelude' is that there are a lot of very commonly desired
features missing from the standard 'Prelude', such as commonly used operators
('<$>' and '>=>', for instance) and imports for common datatypes (e.g.,
'ByteString' and 'Vector'). At the same time, there are lots of other
components which are more debatable, such as providing polymorphic versions of
common functions.

So 'basic-prelude' is intended to give a common foundation for a number of
alternate preludes. The package provides two modules: 'CorePrelude' provides
the common ground for other preludes to build on top of, while 'BasicPrelude'
exports 'CorePrelude' together with commonly used list functions to provide a
drop-in replacement for the standard 'Prelude'.

Users wishing to have an improved 'Prelude' can use 'BasicPrelude'.
Developers wishing to create a new prelude should use 'CorePrelude'.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Tue Mar  7 2017 psimons@suse.com
- Update to version 0.6.1.1 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.6.1 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.5.2 revision 0 with cabal2obs.
